#include <iostream.h>
#include <conio.h>
#include <dos.h>
#include <stdio.h>

void main ()
{
void far*p;
clrscr();
for(int i=20;i<30;i++)
{
p=getvect(i);
cout<<dec<<"Nomer Prerivaniya= "<<i<<","<<hex<<"_Segment= "<<FP_SEG(p)<<","<<"_Smechenie= "<<FP_OFF(p)<<"_Fiz. Adress= "<<(FP_SEG(p)*16)+FP_OFF(p)<<";\n";
}
getch();
}